> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an entity



## OpenAPI

````yaml /api-reference/4.2/service-tasks.json delete /tasks/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service tasks
servers:
  - url: /api/apollo/
security: []
tags:
  - name: tasks
paths:
  /tasks/{id}:
    delete:
      tags:
        - 4.2 Tasks API
      summary: Delete an entity
      operationId: deleteEntity
      parameters:
        - name: id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match
          required: false
          schema:
            type: string
            default: '"-1"'
      responses:
        default:
          description: successful operation

````